# Intro

This API adds the ability to make cards cost life + currency in act 1, and and act 2. It's features include...


- Art that matches vanilla style for the cost for act 1 and act 2, which scales up to 15.
- Cost render support with art that matches the art in the cost render fix, for those who want to do hybrid costs
- Cards that cost life will show up as a cost choice at cost choice nodes
- Json loader support thru a dumb trick


NOTES:

- In act 1, cards will take your currency first, and then pull from your life for the cost. 
- In act 2, cards will only take from your life (for now).
- Do not install this mod if you have no cardpacks that use life cost


## How to use: Mod makers

Here are instructions on how to use this API as a person who codes with a bepinEX plugin

- Add the mod as a dependency in your project
- at your main plugins file, add "using LifeCost;"
- at "private void Start()", use card loader to call the cards you want to add a life cost to. an example would be this... "CardLoader.GetCardByName("lifecost_example").LifeCostz(3);". This would set the life cost of the card "lifecost_example" to 3. 
- Another trick you can do if you don't want to do above is when adding the card thru "NewCard.Add()", is set the energy cost to the negative amount you want the card to cost. the API will find any negative energy costs at launch and convert them to life costs.


## How to use: Jsonloader users

Here are instructions on how to use this API as a person who makes cards in jsonloader

- Set the energy cost of the card to a negative value. 
- So if you want a card to cost 7 in life+currency, set the energyCost to -7

## What if I only want to a card to use Life / What if I want a card to only use Currency?

Here are instructions on how to use this API to make a card cost ONLY life or ONLY currency.

for ONLY life you want...

- To add the sigil ability to the card: Vampiric.
- The GUID for the ability is "extraVoid.inscryption.LifeCost". The name is Vamperic.

for ONLY currency you want...

- To add the sigil ability to the card: Greedy.
- The GUID for the ability is "extraVoid.inscryption.LifeCost". The name is Greedy.




## Suggestions on balancing life cost cards

Just some helpful tips I noticed when making this and play testing

- Never make the attack of a card more than what it costs in life. For example: a card with 1 attack would cost between 2 and 3 in life. So it takes 2 to 3 turns to make up for the lost in life.
- In act 1, I would generally suggest following the 1:1 point system like bones and energy does. 
- In act 2, be VERY careful with balancing your cards. I highly suggest giving them the Vamperic Sigil, to make them only cost life. This is due to players being able to farm foils at the training dummy.
- Try to avoid bone or energy hybrid costs. 
- In the end, play by ear and heart like always. if something feels too good, then nerf it. If it feels too weak, then buff it.

## Installation (automated)
This is the recommended way to install the API on the game.

- Download and install [Thunderstore Mod Manager](https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager) or [r2modman](https://timberborn.thunderstore.io/package/ebkr/r2modman/)
- Click Install with Mod Manager button on top of the [page]
- Run the game via the mod manager


## Change log

v1.2.2
- Fixed null error at the choice node (which happened by the player not having any life cost cards learned) by just giving a teck to the player.


v1.2.1
- Fixed null error in getting a hint from leshy

v1.2.0
- Added the Greedy Sigil, for those who want to make their card cost JUST currency
- Added the Vamperic Sigil, for those who want to make their card cost JUST life



v1.1.0
- adjust the timing of paying the cost with the help of xXxStoner420BongMasterxXx so it doesnt conflict on resolve abilities hopefully.


v1.0.0
- initial release

## Licenses
This mod is under the MIT licenses. That means you are free to take, modify, and redistribute this mod as you wish as long as the resulting product is also under the MIT license. 

## Credits

xXxStoner420BongMasterxXx, Eri, Memez4life, Dragon, Kopie, Ara, Digi, Sire, Nevernamed for help in various aspects of this mod

